FUNCTION::TASK_ANCES(3stap)

NAME
function::task_ancestry - The ancestry of the given task

SYNOPSIS

    task_ancestry:string(task:long,with_time:long)

ARGUMENTS

task
    task_struct pointer

with_time
    set to 1 to also print the start time of processes (given as a delta from boot time)

DESCRIPTION

Return the ancestry of the given task in the form of “grandparent_process=>parent_process=>process”.

SEE ALSO
tapset::task_ancestry(3stap)